KFIFO_DMA_OUT_FINISH(9)

NAME
kfifo_dma_out_finish - finish a DMA OUT operation

SYNOPSIS

kfifo_dma_out_finish(fifo, len);

ARGUMENTS

fifo
    address of the fifo to be used

len
    number of bytes transferred

DESCRIPTION

This macro finish a DMA OUT operation. The out counter will be updated by the len parameter. No error checking will be done.

Note that with only one concurrent reader and one concurrent writer, you don't need extra locking to use these macros.

COPYRIGHT